﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2032
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class SQIDs : DataSet {
        
        private SQIRPTDataTable tableSQIRPT;
        
        public SQIDs() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected SQIDs(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["SQIRPT"] != null)) {
                    this.Tables.Add(new SQIRPTDataTable(ds.Tables["SQIRPT"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public SQIRPTDataTable SQIRPT {
            get {
                return this.tableSQIRPT;
            }
        }
        
        public override DataSet Clone() {
            SQIDs cln = ((SQIDs)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["SQIRPT"] != null)) {
                this.Tables.Add(new SQIRPTDataTable(ds.Tables["SQIRPT"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableSQIRPT = ((SQIRPTDataTable)(this.Tables["SQIRPT"]));
            if ((this.tableSQIRPT != null)) {
                this.tableSQIRPT.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "SQIDs";
            this.Prefix = "";
            this.Namespace = "";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableSQIRPT = new SQIRPTDataTable();
            this.Tables.Add(this.tableSQIRPT);
        }
        
        private bool ShouldSerializeSQIRPT() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void SQIRPTRowChangeEventHandler(object sender, SQIRPTRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIRPTDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columndel_status;
            
            private DataColumn columnaudit_status;
            
            private DataColumn columnexception_code;
            
            private DataColumn columnexception_type;
            
            private DataColumn columnexception_description;
            
            internal SQIRPTDataTable() : 
                    base("SQIRPT") {
                this.InitClass();
            }
            
            internal SQIRPTDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn del_statusColumn {
                get {
                    return this.columndel_status;
                }
            }
            
            internal DataColumn audit_statusColumn {
                get {
                    return this.columnaudit_status;
                }
            }
            
            internal DataColumn exception_codeColumn {
                get {
                    return this.columnexception_code;
                }
            }
            
            internal DataColumn exception_typeColumn {
                get {
                    return this.columnexception_type;
                }
            }
            
            internal DataColumn exception_descriptionColumn {
                get {
                    return this.columnexception_description;
                }
            }
            
            public SQIRPTRow this[int index] {
                get {
                    return ((SQIRPTRow)(this.Rows[index]));
                }
            }
            
            public event SQIRPTRowChangeEventHandler SQIRPTRowChanged;
            
            public event SQIRPTRowChangeEventHandler SQIRPTRowChanging;
            
            public event SQIRPTRowChangeEventHandler SQIRPTRowDeleted;
            
            public event SQIRPTRowChangeEventHandler SQIRPTRowDeleting;
            
            public void AddSQIRPTRow(SQIRPTRow row) {
                this.Rows.Add(row);
            }
            
            public SQIRPTRow AddSQIRPTRow(int consignment_no, string del_status, string audit_status, string exception_code, string exception_type, string exception_description) {
                SQIRPTRow rowSQIRPTRow = ((SQIRPTRow)(this.NewRow()));
                rowSQIRPTRow.ItemArray = new object[] {
                        consignment_no,
                        del_status,
                        audit_status,
                        exception_code,
                        exception_type,
                        exception_description};
                this.Rows.Add(rowSQIRPTRow);
                return rowSQIRPTRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                SQIRPTDataTable cln = ((SQIRPTDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new SQIRPTDataTable();
            }
            
            internal void InitVars() {
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columndel_status = this.Columns["del_status"];
                this.columnaudit_status = this.Columns["audit_status"];
                this.columnexception_code = this.Columns["exception_code"];
                this.columnexception_type = this.Columns["exception_type"];
                this.columnexception_description = this.Columns["exception_description"];
            }
            
            private void InitClass() {
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columndel_status = new DataColumn("del_status", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndel_status);
                this.columnaudit_status = new DataColumn("audit_status", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnaudit_status);
                this.columnexception_code = new DataColumn("exception_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnexception_code);
                this.columnexception_type = new DataColumn("exception_type", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnexception_type);
                this.columnexception_description = new DataColumn("exception_description", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnexception_description);
            }
            
            public SQIRPTRow NewSQIRPTRow() {
                return ((SQIRPTRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new SQIRPTRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(SQIRPTRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.SQIRPTRowChanged != null)) {
                    this.SQIRPTRowChanged(this, new SQIRPTRowChangeEvent(((SQIRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.SQIRPTRowChanging != null)) {
                    this.SQIRPTRowChanging(this, new SQIRPTRowChangeEvent(((SQIRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.SQIRPTRowDeleted != null)) {
                    this.SQIRPTRowDeleted(this, new SQIRPTRowChangeEvent(((SQIRPTRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.SQIRPTRowDeleting != null)) {
                    this.SQIRPTRowDeleting(this, new SQIRPTRowChangeEvent(((SQIRPTRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveSQIRPTRow(SQIRPTRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIRPTRow : DataRow {
            
            private SQIRPTDataTable tableSQIRPT;
            
            internal SQIRPTRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableSQIRPT = ((SQIRPTDataTable)(this.Table));
            }
            
            public int consignment_no {
                get {
                    try {
                        return ((int)(this[this.tableSQIRPT.consignment_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.consignment_noColumn] = value;
                }
            }
            
            public string del_status {
                get {
                    try {
                        return ((string)(this[this.tableSQIRPT.del_statusColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.del_statusColumn] = value;
                }
            }
            
            public string audit_status {
                get {
                    try {
                        return ((string)(this[this.tableSQIRPT.audit_statusColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.audit_statusColumn] = value;
                }
            }
            
            public string exception_code {
                get {
                    try {
                        return ((string)(this[this.tableSQIRPT.exception_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.exception_codeColumn] = value;
                }
            }
            
            public string exception_type {
                get {
                    try {
                        return ((string)(this[this.tableSQIRPT.exception_typeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.exception_typeColumn] = value;
                }
            }
            
            public string exception_description {
                get {
                    try {
                        return ((string)(this[this.tableSQIRPT.exception_descriptionColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableSQIRPT.exception_descriptionColumn] = value;
                }
            }
            
            public bool Isconsignment_noNull() {
                return this.IsNull(this.tableSQIRPT.consignment_noColumn);
            }
            
            public void Setconsignment_noNull() {
                this[this.tableSQIRPT.consignment_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isdel_statusNull() {
                return this.IsNull(this.tableSQIRPT.del_statusColumn);
            }
            
            public void Setdel_statusNull() {
                this[this.tableSQIRPT.del_statusColumn] = System.Convert.DBNull;
            }
            
            public bool Isaudit_statusNull() {
                return this.IsNull(this.tableSQIRPT.audit_statusColumn);
            }
            
            public void Setaudit_statusNull() {
                this[this.tableSQIRPT.audit_statusColumn] = System.Convert.DBNull;
            }
            
            public bool Isexception_codeNull() {
                return this.IsNull(this.tableSQIRPT.exception_codeColumn);
            }
            
            public void Setexception_codeNull() {
                this[this.tableSQIRPT.exception_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isexception_typeNull() {
                return this.IsNull(this.tableSQIRPT.exception_typeColumn);
            }
            
            public void Setexception_typeNull() {
                this[this.tableSQIRPT.exception_typeColumn] = System.Convert.DBNull;
            }
            
            public bool Isexception_descriptionNull() {
                return this.IsNull(this.tableSQIRPT.exception_descriptionColumn);
            }
            
            public void Setexception_descriptionNull() {
                this[this.tableSQIRPT.exception_descriptionColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class SQIRPTRowChangeEvent : EventArgs {
            
            private SQIRPTRow eventRow;
            
            private DataRowAction eventAction;
            
            public SQIRPTRowChangeEvent(SQIRPTRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public SQIRPTRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
